Can't install new node modules (Error loading package)

Hi all !

I work with many node modules from some times. But now, I can't install a new one, I always get an error, even on a clean new project :

error.gif

I've tried to remove the file npm-registry-all.json located on %HOMEPATH%\.WebIde70\system\extLibs\nodejs\ but it was recreated / downloaded and still not work ...

Anyone can help me ?

Thank you !

5 comments
Comment actions Permalink

Hello!

Can you install the same module in command line, outside of PHPStorm?

0
Comment actions Permalink

Yep, node.js still working perfectly outside phpStorm.

0
Comment actions Permalink

Please can you attach the idea.log?


0
Comment actions Permalink

Sure I can, thank you :)

I have many log files, so I've zipped them for you. But I've checked them to find something interesting, just in case... but it seems there's only INFO and WARN about many FTP upload fails...

Thank you again !



Attachment(s):
log.rar.zip
0
Comment actions Permalink

there are no specific errors in logs indeed... does the problem occur when installing any npm module, or some specific one? Can you provide a screencast that shows up the problem?

0

Please sign in to leave a comment.